xine-lib: xine-lib-1.2.12/src/demuxers/demux_tta.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions
demux_tta.c File Reference
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/demux.h>`
`#include <xine/buffer.h>`
`#include "bswap.h"`
`#include "group_audio.h"`
`#include <xine/attributes.h>`

## Data Structures
struct | demux_tta_t

## Macros
#define | LOG_MODULE "demux_tta"
#define | LOG_VERBOSE
#define | FRAME_TIME 1.04489795918367346939

## Functions
static int | probe_tta_file (input_plugin_t *input)
static int | open_tta_file (demux_tta_t *this)
static int | demux_tta_send_chunk (demux_plugin_t *this_gen)
static void | demux_tta_send_headers (demux_plugin_t *this_gen)
static int | demux_tta_seek (demux_plugin_t *this_gen, off_t start_pos, int start_time, int playing)
static void | demux_tta_dispose (demux_plugin_t *this_gen)
static int | demux_tta_get_status (demux_plugin_t *this_gen)
static int | demux_tta_get_stream_length (demux_plugin_t *this_gen)
static uint32_t | demux_tta_get_capabilities (demux_plugin_t *this_gen)
static int | demux_tta_get_optional_data (demux_plugin_t *this_gen, void *data, int data_type)
static demux_plugin_t * | open_plugin (demux_class_t *class_gen, xine_stream_t *stream, input_plugin_t *input)
void * | demux_tta_init_plugin (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ FRAME_TIME

#define FRAME_TIME 1.04489795918367346939

## ◆ LOG_MODULE

#define LOG_MODULE "demux_tta"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ demux_tta_dispose()

static void demux_tta_dispose | ( | demux_plugin_t * | this_gen | ) |
| static

References _x_freep().

Referenced by open_plugin().

## ◆ demux_tta_get_capabilities()

static uint32_t demux_tta_get_capabilities | ( | demux_plugin_t * | this_gen | ) |
| static

References DEMUX_CAP_NOCAP.

Referenced by open_plugin().

## ◆ demux_tta_get_optional_data()

static int demux_tta_get_optional_data | ( | demux_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type
| ) |  |
| static

References DEMUX_OPTIONAL_UNSUPPORTED.

Referenced by open_plugin().

## ◆ demux_tta_get_status()

static int demux_tta_get_status | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_tta_get_stream_length()

static int demux_tta_get_stream_length | ( | demux_plugin_t * | this_gen | ) |
| static

References le2me_32.

Referenced by open_plugin().

## ◆ demux_tta_init_plugin()

void * demux_tta_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, open_plugin(), and demux_class_s::open_plugin.

## ◆ demux_tta_seek()

static int demux_tta_seek | ( | demux_plugin_t * | this_gen,
|  | off_t | start_pos,
|  | int | start_time,
|  | int | playing
| ) |  |
| static

References _x_demux_control_newpts(), _x_demux_flush_engine(), BUF_FLAG_SEEK, DEMUX_OK, FRAME_TIME, input(), and le2me_32.

Referenced by open_plugin().

## ◆ demux_tta_send_chunk()

static int demux_tta_send_chunk | ( | demux_plugin_t * | this_gen | ) |
| static

References _x_demux_read_send_data(), BUF_AUDIO_TTA, DEMUX_FINISHED, FRAME_TIME, input(), and le2me_32.

Referenced by open_plugin().

## ◆ demux_tta_send_headers()

static void demux_tta_send_headers | ( | demux_plugin_t * | this_gen | ) |
| static

References _x_demux_control_start(), _x_stream_info_set(), BUF_AUDIO_TTA, BUF_FLAG_FRAME_END, BUF_FLAG_HEADER, BUF_FLAG_STDHEADER, xine_waveformatex::cbSize, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, DEMUX_OK, le2me_16, le2me_32, buf_element_s::max_size, buf_element_s::size, buf_element_s::type, XINE_STREAM_INFO_AUDIO_BITS, XINE_STREAM_INFO_AUDIO_CHANNELS, XINE_STREAM_INFO_AUDIO_SAMPLERATE, XINE_STREAM_INFO_HAS_AUDIO, and XINE_STREAM_INFO_HAS_VIDEO.

Referenced by open_plugin().

## ◆ open_plugin()

static demux_plugin_t * open_plugin | ( | demux_class_t * | class_gen,
|  | xine_stream_t * | stream,
|  | input_plugin_t * | input
| ) |  |
| static

References xine_stream_s::content_detection_method, DEMUX_FINISHED, demux_tta_dispose(), demux_tta_get_capabilities(), demux_tta_get_optional_data(), demux_tta_get_status(), demux_tta_get_stream_length(), demux_tta_seek(), demux_tta_send_chunk(), demux_tta_send_headers(), input(), METHOD_BY_CONTENT, METHOD_BY_MRL, METHOD_EXPLICIT, NULL, open_tta_file(), and probe_tta_file().

Referenced by demux_tta_init_plugin().

## ◆ open_tta_file()

static int open_tta_file | ( | demux_tta_t * | this | ) |
| static

References _, FRAME_TIME, input(), le2me_32, XINE_VERBOSITY_DEBUG, xine_xcalloc(), and xprintf.

Referenced by open_plugin().

## ◆ probe_tta_file()

static int probe_tta_file | ( | input_plugin_t * | input | ) |
| static

References _x_demux_read_header(), _x_is_fourcc(), and input().

Referenced by open_plugin().